import fetch from './fetch'
import { api } from './config.js'
import http from './httpUtil'

//系统集成统计环形图
export function getIntegrateStatisticsToLoop(param, success) {
    let url = `/pointconfig/datasource/queryWithCount`
    let data = param
    http.postJson(url, data, success)
}

//系统集成统计条形
export function getIntegrateStatisticsToBar(param, success) {
    let url = `/pointconfig/datasource/queryWithCount`
    let data = param
    http.postJson(url, data, success)
}

//表号功能号总览
export function getTabFunNumOverview(param, success) {
    let url = `/ScanBuilding/service/user/query`
    let data = param
    data = {
        "Comming": 'revit',
        "ProjId": 'Pj4201050001',
        "UserId": 'test',
        "PageNum": 1,
        "PageSize": 10,
        "Filter": ""
    }
    http.postJson(url, data, success)
}

//表号功能号对应历史数据
export function getHistoryData(param, success) {
    let url = `/ScanBuilding/service/user/query`
    let data = param
    data = {
        "Comming": 'revit',
        "ProjId": 'Pj4201050001',
        "UserId": 'test',
        "PageNum": 1,
        "PageSize": 10,
        "Filter": ""
    }
    http.postJson(url, data, success)
}

//获取表号功能号的源数据
export function getTabFunNumSourceData(param, success) {
    let url = `/ScanBuilding/service/user/query`
    let data = param
    data = {
        "Comming": 'revit',
        "ProjId": 'Pj4201050001',
        "UserId": 'test',
        "PageNum": 1,
        "PageSize": 10,
        "Filter": ""
    }
    http.postJson(url, data, success)
}

//获取表号功能号对应的对象实例
export function getTabFunNumObjInstance(param, success) {
    let url = `/ScanBuilding/service/user/query`
    let data = param
    data = {
        "Comming": 'revit',
        "ProjId": 'Pj4201050001',
        "UserId": 'test',
        "PageNum": 1,
        "PageSize": 10,
        "Filter": ""
    }
    http.postJson(url, data, success)
}

//添加表号功能号
export function addTabFunNum(param, success) {
    let url = `/ScanBuilding/service/user/query`
    let data = param
    data = {
        "Comming": 'revit',
        "ProjId": 'Pj4201050001',
        "UserId": 'test',
        "PageNum": 1,
        "PageSize": 10,
        "Filter": ""
    }
    http.postJson(url, data, success)
}